Subject: Re: linux-next: manual merge of the tip tree with Linus' tree

From: Ingo Molnar <[email-masked]>
Date: Tue, 13 May 2025 11:13:59 +0200

* Stephen Rothwell <[email-masked]> wrote:

> Hi all,
> 
> Today's linux-next merge of the tip tree got a conflict in:
> 
>   include/linux/cpu.h
> 
> between commit:
> 
>   f4818881c47f ("x86/its: Enable Indirect Target Selection mitigation")
> 
> from Linus' tree and commit:
> 
>   4e2c719782a8 ("x86/cpu: Help users notice when running old Intel microcode")
> 
> from the tip tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

LGTM.

Note that I have resolved all conflicts in -tip as well, so these 
manual -next conflict resolutions between -tip and -linus should go 
away after today's -next integration.

Thanks,

	Ingo